Subject: Re: [rtcweb] WGLC for data channel drafts - sub-protocol usage

From: Michael Tuexen <[email-masked]>
Date: Fri, 4 Jul 2014 19:01:13 +0200

On 11 Jun 2014, at 19:24, Christer Holmberg <[email-masked]> wrote:

> Hi Michael,
> 
> I agree that we need to keep text about the encoding.
OK.

Best regards
Michael
> 
> Regards,
> 
> Christer
> 
> ________________________________________
> From: Michael Tuexen [[email-masked]]
> Sent: Wednesday, 11 June 2014 5:28 PM
> To: Christer Holmberg
> Cc: Ted Hardie; [email-masked]
> Subject: Re: [rtcweb] WGLC for data channel drafts - sub-protocol usage
> 
> On 10 Jun 2014, at 21:22, Christer Holmberg <[email-masked]> wrote:
> 
>> Hi,
>> 
>> A comment on draft-ietf-rtcweb-data-protocol-06:
>> 
>> Section 5.1 says:
>> 
>> "Protocol: Variable Length (sequence of characters)
>>      The sub-protocol for the channel as a UTF-8 encoded string.  If
>>      this is an empty string the protocol is unspecified.  If it is a
>>      non-empty string, it specifies an protocol registered in the
>>      'WebSocket Subprotocol Name Registry' created in [RFC6455]."
>> 
>> 
>> I think "The sub-protocol for the channel as a UTF-8 encoded string." part is a little confusing, because there is no such thing as sub-protocol in DCEP itself (DCEP only uses the WebSocket sub-protocol registry for registering DCEP *protocol* values).
>> 
>> Perhaps we could just remove the sentence, and keep:
>> 
>> "Protocol: Variable Length (sequence of characters)
>>      If this is an empty string the protocol is unspecified.  If it is a
>>      non-empty string, it specifies an protocol registered in the
>>      'WebSocket Subprotocol Name Registry' created in [RFC6455]."
>> 
>> Section 4 gives more information about the usage of the protocol.
> Do you intend to drop the statement about the UTF-8 encoding?
> I think we should keep a statement about the encoding.
> 
> Best regards
> Michael
>> 
>> (Alternatively, we could use sub-protocol terminology also in DCEP)
>> 
>> Regards,
>> 
>> Christer
>> 
>> 
>> 
>> 
>> 
>> 
>> From: rtcweb [[email-masked]] on behalf of Ted Hardie [[email-masked]]
>> Sent: Tuesday, 10 June, 2014 9:52 PM
>> To: [email-masked]
>> Subject: [rtcweb] WGLC for data channel drafts
>> 
>> Dear WG,
>> 
>> This starts a working group last call for our core Data Channel drafts:
>> 
>> draft-ietf-rtcweb-data-protocol-06.txt
>> draft-ietf-rtcweb-data-channel-10.txt
>> 
>> Please review them in detail, especially for areas which may be of concern to the broader IETF community.  This WGLC will end on June 27, 2014.
>> 
>> Ted, Sean, Cullen
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Michael Tuexen <[email-masked]>
Date: Fri, 4 Jul 2014 19:23:02 +0200

On 23 Jun 2014, at 07:46, Christian Groves <[email-masked]> wrote:

> Do you need that statement?
I guess formally you don't. But having it make it simpler for the reader...

Best regards
Michael
> [RFC6455] section 11.5 says:
> 
>   Subprotocol Identifier
>      The identifier of the subprotocol, as will be used in the
>      |Sec-WebSocket-Protocol| header field registered in Section 11.3.4
>      of this specification.  The value must conform to the requirements
>      given in item 10 of Section 4.1 of this specification -- namely,
>      the value must be a token as defined by RFC 2616 [RFC2616].
> 
> "Token" is RFC2616 is defined as:
>     CHAR           = <any US-ASCII character (octets 0 - 127)>
>     token          = 1*<any CHAR except CTLs or separators>
> 
> Regards, Christian
> 
> On 12/06/2014 3:24 AM, Christer Holmberg wrote:
>> Hi Michael,
>>

---

From: Christian Groves <[email-masked]>
Date: Sun, 06 Jul 2014 17:55:47 +1000

The definition of Token is ASCII not UTF-8.

Christian

---

From: Michael Tuexen <[email-masked]>
Date: Mon, 7 Jul 2014 21:51:08 +0200

> The definition of Token is ASCII not UTF-8.
OK, I can change it to ASCII. Any objections?

Best regards
Michael